Bug 1124726 - Man page of `rhsm-debug` command needs to include new option "--no-subscriptions"
Summary: Man page of `rhsm-debug` command needs to include new option "--no-subscripti...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: William Poteat
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: rhsm-rhel66
TreeView+ depends on / blocked
 
Reported: 2014-07-30 07:47 UTC by Rehana
Modified: 2014-11-03 19:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-03 19:41:24 UTC


Attachments (Terms of Use)

Description Rehana 2014-07-30 07:47:40 UTC
Description of problem:
The new "--no-subscriptions" option is added to rhsm-debug ( bug 1114117 ), we should include the new option in rhsm-debug man page 

Version-Release number of selected component (if applicable):
# subscription-manager  version
server type: This system is currently not registered.
subscription management server: 0.9.21-1
subscription management rules: 5.11
subscription-manager: 1.12.10-1.el6
python-rhsm: 1.12.5-1.el6


How reproducible:
3/3

Steps to Reproduce:
1.Note that the new option "--no-subscriptions"  in the help
# rhsm-debug system  --help
Usage: rhsm-debug system [OPTIONS] 

Assemble system information as a tar file or directory

Options:
  -h, --help            show this help message and exit
  --proxy=PROXY_URL     proxy URL in the form of proxy_hostname:proxy_port
  --proxyuser=PROXY_USER
                        user for HTTP proxy with basic authentication
  --proxypassword=PROXY_PASSWORD
                        password for HTTP proxy with basic authentication
  --destination=DESTINATION
                        the destination location of the result; default is
                        /tmp
  --no-archive          data will be in an uncompressed directory
  --sos                 only data not already included in sos report will be
                        collected
  --no-subscriptions    exclude subscription data
^^^^^^^^^^^^^^^^^^^^^^^^new option
2.Man page content 
# man -P cat rhsm-debug 
rhsm-debug(8)            Certificate Information Tool            rhsm-debug(8)



NAME
       rhsm-debug - Compiles information about system’s entitlements, products, and identity used by Red Hat Subscription Manager.


SYNOPSIS
       rhsm-debug module [options]


DESCRIPTION
       rhsm-debug compiles information about system’s entitlements, products, and identity used by Red Hat Subscription Manager.




COMMANDS AND OPTIONS
       rhsm-debug  has  specific  options available for each module, depending on what operation is being performed. The currently sup-
       ported modules are:


              1. system



   COMMON OPTIONS
       -h, --help
              Prints the specific help information for the given command.


       --proxy=PROXY
              Uses an HTTP proxy. The PROXY name has the format hostname:port.



       --proxyuser=PROXYUSERNAME
              Gives the username to use to authenticate to the HTTP proxy.


       --proxypassword=PROXYPASSWORD
              Gives the password to use to authenticate to the HTTP proxy.



   SYSTEM OPTIONS
       The system command pulls in debug information off of the current system


       --destination=DESTINATION
              The directory to place the resulting debug data. The default is /tmp.


       --no-archive
              Generates an uncompressed directory intead of a gzipped file.


       --sos  Excludes data files that are also collected by the sosreport tool.



BUGS
       This tool is part of Red Hat Subscription Manager. To file bugs against this command-line  tool,  go  to  <https://bugzilla.red-
       hat.com>, and select Red Hat > Red Hat Enterprise Linux > subscription-manager.



AUTHORS
       William Poteat<wpoteat@redhat.com>. The rhsm-debug tool was written by William Poteat.


COPYRIGHT
       Copyright  (c)  2012  Red  Hat,  Inc.  This  is licensed under the GNU General Public License, version 2 (GPLv2). A copy of this
       license is available at http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.



version 1.3                      May 23, 2013                    rhsm-debug(8)


Actual results:
No Man page entry is available for the new option "--no-subscriptions" 

Expected results:
Need to have man page entry for the option "--no-subscriptions"

Additional info:

Comment 1 Shwetha Kallesh 2014-08-25 04:56:44 UTC
Man page has no subscriptions option,so marking verified!!

[root@shwetha-ws ~]# subscription-manager version
server type: This system is currently not registered.
subscription management server: 0.9.21-1
subscription management rules: 5.11
subscription-manager: 1.12.13-1.el6
python-rhsm: 1.12.5-1.el6


[root@shwetha-ws ~]# rhsm-debug system  --help | grep 'subscription'
  --no-subscriptions    exclude subscription data


[root@shwetha-ws ~]# man -P cat rhsm-debug
rhsm-debug(8)            Certificate Information Tool            rhsm-debug(8)



NAME
       rhsm-debug - Compiles information about system’s entitlements, products, and identity used by Red Hat Subscription Manager.


SYNOPSIS
       rhsm-debug module [options]


DESCRIPTION
       rhsm-debug compiles information about system’s entitlements, products, and identity used by Red Hat Subscription Manager.




COMMANDS AND OPTIONS
       rhsm-debug has specific options available for each module, depending on what operation is being performed. The currently supported modules are:


              1. system



   COMMON OPTIONS
       -h, --help
              Prints the specific help information for the given command.


       --proxy=PROXY
              Uses an HTTP proxy. The PROXY name has the format hostname:port.



       --proxyuser=PROXYUSERNAME
              Gives the username to use to authenticate to the HTTP proxy.


       --proxypassword=PROXYPASSWORD
              Gives the password to use to authenticate to the HTTP proxy.



   SYSTEM OPTIONS
       The system command pulls in debug information off of the current system


       --destination=DESTINATION
              The directory to place the resulting debug data. The default is /tmp.


       --no-archive
              Generates an uncompressed directory intead of a gzipped file.


       --sos  Excludes data files that are also collected by the sosreport tool.


       --no-subscriptions
              Excludes the gathering of subscription information.



BUGS
       This  tool is part of Red Hat Subscription Manager. To file bugs against this command-line tool, go to <https://bugzilla.redhat.com>, and select
       Red Hat > Red Hat Enterprise Linux > subscription-manager.



AUTHORS
       William Poteat<wpoteat@redhat.com>. The rhsm-debug tool was written by William Poteat.


COPYRIGHT
       Copyright (c) 2012 Red Hat, Inc. This is licensed under the GNU General Public License, version 2 (GPLv2). A copy of this license  is  available
       at http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.



version 1.3                      May 23, 2013                    rhsm-debug(8)

Comment 2 Bryan Kearney 2014-11-03 19:41:24 UTC
this was delivered with RHEL6.6. Closing this out.


Note You need to log in before you can comment on or make changes to this bug.